#include<iostream>
using namespace std;
string s;
int cnt[4];
int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cin >> s;
    for(int i = 0; i < s.size(); i++){
        if(s[i] == 'U'){
            cnt[0]++;
        }
        if(s[i] == 'D'){
            cnt[1]++;
        }
        if(s[i] == 'L'){
            cnt[2]++;
        }
        if(s[i] == 'R'){
            cnt[3]++;
        }
    }
    int a = 0, b = 0;
    a = cnt[0] - cnt[1];
    b = cnt[2] - cnt[3];
    for(int i = 0; i < abs(a); i++){
        if(a > 0)cout << "D";
        if(a < 0)cout << "U";
    }
    for(int i = 0; i < abs(b); i++){
        if(b > 0)cout << "R";
        if(b < 0)cout << "L";
    }
    if(a == b && a == 0)cout << 0;
    cout << endl;

    return 0;
}
